0
votes
0answers
48 views

Yum does not install specific RPM version with custom repo

We use RPMS for our packaging and yum to update our environments. We have an rpm package-5.1.1-3 installed in our production server and in our yum repository we have 2 newer versions such as ...
0
votes
1answer
91 views

How can I install libgcc.i686?

I use Centos 6.4 I can’t yum install libgcc.i686 with following messages. Error: Multilib version problems found. This often means that the root cause is something else and multilib version ...
0
votes
0answers
111 views

include(SoapClient.php): failed to open stream: No such file or directory

I have problems with yum, 1st one is when i run yum "commmand" 2nd time, example, yum search php or sudo yum install php-gd i get the error msg, rpmdb: Thread/process ...
7
votes
2answers
247 views

How can I mirror a yum repository but download only the newest versions of each package?

I would like to mirror the following Yum/RPM repositories at http://yum.puppetlabs.com/ : http://yum.puppetlabs.com/el/6/products/ http://yum.puppetlabs.com/el/6/dependencies/ ...
0
votes
1answer
28 views

yum whatprovides does not return anything

I am trying to figure out what RPM provided /usr/bin/java. However, I think this may have been installed outside of yum. Is it possible for yum to tell me what provided /usr/bin/java if it wasn't ...
2
votes
1answer
973 views

CentOS yum *.rpm package changelog (not installation changelog)

I just logged into my new rented server and updated openssl because of the heartbleed-bug (http://heartbleed.com). I updated using yum list openssl ... Installed Packages openssl.x86_64 ...
0
votes
2answers
120 views

Using `repomirror` to mirror a yum repository for a different OS version?

I have an EL5 machine. On this host I would like to mirror a Puppet repository for EL6 rpms. How can I mirror an EL6 or Fedora repository on an EL5 host? I am using reposync because I only need the ...
1
vote
0answers
79 views

Oracle's JDK RPM doesn't provide “java”

I have the Oracle RPM for the Java 7 JDK installed on an Amazon EC2 instance. The Oracle RPMs for Java 7 JDK don't "provide" java nor jre. RPM reports that it provides the following: # rpm -q jdk ...
0
votes
1answer
194 views

Yum broken in Amazon instance

This is an instance launched using Amazon AMI. when I run yum with anything (search,install, etc), this is what I am getting: yum search yum error: bad option 'archcolor' at (null):93 Loaded ...
6
votes
1answer
377 views

Puppet package “ensure => latest” doesn't always work

I have a unique situation where the Puppet package ensure => latest directive only worked on some of my systems. Out of 30 servers, the packages updated properly on all but 4. I'm trying to get ...
1
vote
2answers
71 views

Install rpm on multiple servers

I have a rpm (redis) that I need to install on a dozen servers. The version of redis that is available in EPEL is too old (2.4.x). The software providers do not offer a repository online that I ...
3
votes
1answer
151 views

Yum won't reinstall PHP on Amazon Linux

Ultimately, this question is about Yum and the Amazon Linux AMI (see the end for that part), but first I'll give some background to how I got into my situation. I installed PHP from source I am ...
0
votes
0answers
52 views

How can I view CentOS update RPM security metadata?

I'm interested in getting useful output from the commands on this page while using CentOS: http://www.cyberciti.biz/faq/redhat-fedora-centos-linux-yum-installs-security-updates/ By default, it seems ...
0
votes
1answer
160 views

amanda client 3.3.5 for RHEL 5 - dependency issues

Im working to update my various clients to use the latest version of Amanda. The installs work great for RHEL6 but fails on v5 with the following errors: # yum localinstall ...
0
votes
2answers
38 views

Packages with no name listed by yum

In my Fedora 20 system I see these two packages with no names (and with no version one): [user@notebook ~]$ sudo yum list installed|grep rawhide 0.10.23-2.fc19 ...
0
votes
1answer
30 views

No such file or directory after rpm -e --nodeps packagename instead of command not found

I installed ethtool using yum install ethtool and then removed it using rpm -e --nodeps ethtool because when I tried to remove ethtool with yum it was going to remove a bunch of important dependencies ...
2
votes
4answers
146 views

Yum repo server as archive cache

Our software stack requires some specific versions of RPM packages. Unfortunately some of these packages become deprecated over time and get removed from their repos since their maintainers don't keep ...
1
vote
3answers
109 views

How to accurately check if package is installed in yum?

I keep getting answers like: yum list installed | grep bind or rpm -qa | grep bind But that is not accurate as I'm getting a list of few other bind packages like these: ...
3
votes
2answers
146 views

Why does `rpm` show 3 httpd packages, and which one provides the real httpd?

I ran yum update on my CentOS5 webserver a few days ago. Today I just noticed that I have 3 httpd-* rpms! How can I end up with three RPMs for httpd (My other servers only have one httpd rpm). I want ...
4
votes
3answers
533 views

What can I do to speed up createrepo?

We are using a yum repository to distribute our software to our production instances. Unfortunately, createrepo is becoming a bottleneck, and we only have 469 packages in the repository. $ time ...
1
vote
3answers
82 views

Yum equivalent of rpm --nopreun

I have a buggy RPM which deletes the installation files when it is upgraded. I want to run yum update pkg-name but I don't want to run the %preun section. Is this possible with yum? If so, what's the ...
5
votes
1answer
154 views

Why does installing the same package twice with yum not give me the same files?

The situation I am facing: I set up a CentOS 5.9 machine that is supposed to be as close as possible a copy of another CentOS 5.9 machine, but not a clone. Using yum, I installed (as far as possible) ...
1
vote
1answer
463 views

I'm getting “yum error no such table packages”, how do I fix corrupted db?

I'm trying to use following guide: Scientific Linux - How To Upgrade To The Latest S.L. 6.x Release to update my Scientific Linux release 6.3 to Scientific Linux release 6.4. # yum update ...
0
votes
2answers
1k views

How to install MariaDB rpms in CentOS 6.4 using rpm (not yum cmd) + handling mysql-libs conflicts

I need to script the install of MariaDB using the rpm command in CentOS 6.4. I can't use yum since it's going to be an offline install so there's no access to the repository. The only MySQL package ...
0
votes
3answers
860 views

newer libmysqlclient.so creates a conflicts with a php-mysql install

I have a working MySQL 5.6 server on a CentOS 6.4 I'm trying tp get PHP working as well, and to create a connection to the MySQL. As I understand I need the following components : php and php-mysql ...
2
votes
2answers
803 views

Recover CentOS missing YUM and RPM

This is the history: I have (or had), a linux box with CentOS 5.9 and a pre installed LAMP configuration. It was working but was too out of date, for instance mysql was version 4. So I decided to ...
4
votes
1answer
100 views

How to prevent installation of incompatible rpm packages

I have two rpm packages wich should not get installed together. After googling around i assume there is no RequiresNot tag or something similar to specify incompatible packages in a specfile. What ...
0
votes
0answers
56 views

Ordering RPM virtual packages

I have following packages, built by my RPM spec: libevent backend %package -n libfoo-libevent Summary: libevent backend for FOO Provides: libfoo-backend Requires: libevent >= 1.4 libev backend ...
-1
votes
1answer
62 views

Download RPM packages for command which is already installed [closed]

I have a centos machine in which i already installed openssl-devel using $ yum install openssl-devel It downloaded and installed all the dependency packages Now I need all those rpm packages ...
1
vote
2answers
244 views

Yum command to downgrade packages

I need to downgrade php on a server and found the command below. Something seems to be wrong with the syntax. yum downgrade $(rpm -qa --qf "%{NAME} " | \ grep -v ioncube | grep ^php | ...
0
votes
1answer
138 views

yum and rpm nothing happens

I am experiencing an odd problem in CentOS 6. when I try to use yum or rpm nothing happens. For example if I type yum update it simply returns to the command prompt. I have checked that yum and ...
2
votes
1answer
370 views

Why aren't my packages being included from my custom yum repository?

We have a custom yum repository created using createrepo, which is hosted in an Amazon S3 bucket. We're using the yum-s3-iam plugin configured as explained in this blog post. to allow our ...
1
vote
1answer
156 views

RPM packages with dependencies based on a major version of software (i.e php 5.3 with it's addons and then php 5.4)

Scenario: PHP5.3 php-5.3.21-1_x86_64.rpm (base) php-pecl-memcache-3.0.6-1_x86_64.rpm (dependant on above because of the internal PHP ABI version change) PHP5.4 php-5.4.13-1_x86_64.rpm (base) ...
-1
votes
3answers
651 views

RPM installed but not installed RHEL6

I'm trying to resolve one dependency. Because RHEL6 doesn't contain python-2.4.3, I downloaded the package from RHEL5 and put it into our own repository. Then upon installing it: ... ---> Package ...
1
vote
3answers
216 views

Keep installed RPMs in sync

What is the best way to keep several CentoS/RH 5 servers keep the same set of RPM's? I.e., when I install or update an RPM on one of them using a common YUM repository, make the other servers ...
2
votes
2answers
176 views

Potential issues with “yum update ./*.rpm”?

I've got a batch machines to update this week, but I'm not quite confident with our established procedure. It basically runs like so for each machine: Mount a shared directory particular to the OS ...
0
votes
1answer
154 views

php-soap 5.3.17-2 el6 x86_64

I just transferred a website to a server where I appear to lack the PHP-SOAP extension. Unfortunately I cannot upgrade to the 5.4.10 that is available on remi at the moment as I am not 100% sure if ...
1
vote
3answers
1k views

/usr/bin/python (Python 2.4) was deleted on CentOS 5. I compiled from source but yum is still broken. How can I get everything back to the way it was?

I saw a lot of other questions like this but none of them answered the exact part I am having trouble with (actually installing the Python RPM). Someone on my system deleted /usr/bin/python and ...
7
votes
3answers
626 views

Specifying a source in puppet doesn't seem to work

I have been attempting to create a manifest for installing postgres 9.1 using puppet on a Centos 5 server. I have been trying to adapt the instructions at ...
1
vote
1answer
45 views

Multiple identical GPG Keys. What can cause that?

I'm using OpsCode Chef to manage all my VMs, but since the last week, I'm having issues with one VM. When running chef, it hangs right at the beginning. After a bit of investigation, I found out that ...
0
votes
1answer
4k views

How to install libboost-devel on CentOS 6.3

How to install libboost-devel on CentOS 6.3? I have tried the following command: yum install libboost-devel Output: Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * ...
2
votes
0answers
125 views

how to keep a rpm package during system upgrade?

I have a custom built rpm package which I installed manually (via rpm -Uvh / or yum localinstall). If I do an upgradee from CentOS5 to CentOS6 this package is removed and, because it missing in the ...
1
vote
3answers
108 views

How to know what changes YUM UPDATE is going to apply?

How to know what changes YUM UPDATE is going to apply? I know you can see the list of packages that are going to be updated, but I'd like to know what detailed changes are going to be aplied in ...
1
vote
3answers
3k views

Install xdebug for php 5.3.17 on centos 6.3 (final)

I'm really having difficulty finding out how to install xdebug for php 5.3.17 on centos 6.3. I've tried this link (for centos 5.6 admittedly) but had no luck. Can anyone point to the right RPM ...
1
vote
2answers
190 views

Install gettext-0.17-1.el5.i386.rpm on CentOS 5.8 i386 gives “/usr/bin/python is needed” error

I've removed yum by mistake. So, now I'm installing all the dependencies needed by yum manually. One of those is gettext-0.17-1.el5.i386.rpm and when I try to install it gives the following error, ...
4
votes
3answers
532 views

yum update, how to make rpm package updateable

need a link or tutorial on how to make an rpm package work with yum UPDATE. i have it and already works with yum INSTALL and yum ERASE, but is there somewhere info on how to make rpm package work when ...
1
vote
2answers
389 views

yum update kernel without removing old?

When I yum update it wants to remove the oldest of the 3 kernel I have and upgrade to a new. Is it possible to get yum not to remove old kernels?
2
votes
3answers
3k views

Howto get yum to install only dependencies for a given pakage?

I am looking for a way to have yum install only dependencies for a given package, something like an --prepare-for-install option so I can take a snapshot of the prepared system and test the rpm setup ...
0
votes
1answer
428 views

rpm -Uvh & yum install

I am new to linux and wants to understand the reason for using some commands. I am trying to install PostgreSQL on CentOs by following the instructions here. First we do rpm -ivh ...
0
votes
1answer
804 views

Client is not able to use Yum Server configured on Server under /home/RPMS file path

I have configured Yum Server on Server 10.0.0.1(Redhat 5.3) All RPMS are here /home/RPMS/Server. Now on another machine i have Centos 5.3 (10.0.0.30).I want to use yum Server of 10.0.0.1 on 10.0.0.3 ...